org.apache.ode.il.dbutil

## Class Messages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.il.dbutil.Messages

-     public class Messages
      extends MessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgDAOInstantiationFailed(java.lang.String className)`
    `java.lang.String` | `msgOdeDbPoolStartupFailed(java.lang.String url)`
    `java.lang.String` | `msgOdeInitDAOErrorReadingProperties(java.io.File propfile)`
    `java.lang.String` | `msgOdeInitExternalDbFailed(java.lang.String dbDataSource)`
    `java.lang.String` | `msgOdeInitHibernatePropertiesNotFound(java.io.File expected)`
    `java.lang.String` | `msgOdeUsingDAOImpl(java.lang.String className)`
    `java.lang.String` | `msgOdeUsingExternalDb(java.lang.String dbDataSource)`
    `java.lang.Object` | `msgOdeUsingInternalDb(java.lang.String dbIntenralJdbcUrl, java.lang.String dbInternalJdbcDriverClass)`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### msgOdeInitHibernatePropertiesNotFound

          public java.lang.String msgOdeInitHibernatePropertiesNotFound(java.io.File expected)

    - #### msgOdeUsingExternalDb

          public java.lang.String msgOdeUsingExternalDb(java.lang.String dbDataSource)

    - #### msgOdeUsingInternalDb

          public java.lang.Object msgOdeUsingInternalDb(java.lang.String dbIntenralJdbcUrl,
                                                        java.lang.String dbInternalJdbcDriverClass)

    - #### msgOdeInitExternalDbFailed

          public java.lang.String msgOdeInitExternalDbFailed(java.lang.String dbDataSource)

    - #### msgOdeInitDAOErrorReadingProperties

          public java.lang.String msgOdeInitDAOErrorReadingProperties(java.io.File propfile)

    - #### msgOdeDbPoolStartupFailed

          public java.lang.String msgOdeDbPoolStartupFailed(java.lang.String url)

    - #### msgOdeUsingDAOImpl

          public java.lang.String msgOdeUsingDAOImpl(java.lang.String className)

    - #### msgDAOInstantiationFailed

          public java.lang.String msgDAOInstantiationFailed(java.lang.String className)